org.eclipse.wst.jsdt.js.bower

## Class Bowerrc

- java.lang.Object
- - org.eclipse.wst.jsdt.js.bower.Bowerrc

    public class Bowerrc
    extends java.lang.Object

Bower can be configured using JSON in a .bowerrc file

See Also:
  Bower Configuration

### Constructor Summary

Constructors
Constructor and Description
`Bowerrc()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCwd()`
`java.lang.String` `getDirectory()`
`java.lang.String` `getHttpsProxy()`
`java.lang.String` `getProxy()`
`java.lang.String` `getShorthandResolver()`
`long` `getTimeout()`
`java.lang.String` `getTmp()`
`java.lang.String` `getUserAgent()`
`boolean` `isAnalytics()`
`boolean` `isColor()`
`boolean` `isInteractive()`
`boolean` `isStrictSsl()`
`void` `setAnalytics(boolean analytics)`
`void` `setColor(boolean color)`
`void` `setCwd(java.lang.String cwd)`
`void` `setDirectory(java.lang.String directory)`
`void` `setHttpsProxy(java.lang.String httpsProxy)`
`void` `setInteractive(boolean interactive)`
`void` `setProxy(java.lang.String proxy)`
`void` `setShorthandResolver(java.lang.String shorthandResolver)`
`void` `setStrictSsl(boolean strictSsl)`
`void` `setTimeout(long timeout)`
`void` `setTmp(java.lang.String tmp)`
`void` `setUserAgent(java.lang.String userAgent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bowerrc

    public Bowerrc()

### Method Detail

#### isAnalytics

    public boolean isAnalytics()

#### setAnalytics

    public void setAnalytics(boolean analytics)

#### getCwd

    public java.lang.String getCwd()

#### setCwd

    public void setCwd(java.lang.String cwd)

#### getDirectory

    public java.lang.String getDirectory()

#### setDirectory

    public void setDirectory(java.lang.String directory)

#### getShorthandResolver

    public java.lang.String getShorthandResolver()

#### setShorthandResolver

    public void setShorthandResolver(java.lang.String shorthandResolver)

#### getProxy

    public java.lang.String getProxy()

#### setProxy

    public void setProxy(java.lang.String proxy)

#### getHttpsProxy

    public java.lang.String getHttpsProxy()

#### setHttpsProxy

    public void setHttpsProxy(java.lang.String httpsProxy)

#### getUserAgent

    public java.lang.String getUserAgent()

#### setUserAgent

    public void setUserAgent(java.lang.String userAgent)

#### getTimeout

    public long getTimeout()

#### setTimeout

    public void setTimeout(long timeout)

#### isStrictSsl

    public boolean isStrictSsl()

#### setStrictSsl

    public void setStrictSsl(boolean strictSsl)

#### isColor

    public boolean isColor()

#### setColor

    public void setColor(boolean color)

#### getTmp

    public java.lang.String getTmp()

#### setTmp

    public void setTmp(java.lang.String tmp)

#### isInteractive

    public boolean isInteractive()

#### setInteractive

    public void setInteractive(boolean interactive)